Bug 1119325 - The task of importing an image (as template) from glance repository is never ended
Summary: The task of importing an image (as template) from glance repository is never ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:13 UTC by Moti Asayag
Modified: 2016-02-10 17:26 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:21:00 UTC
oVirt Team: Storage


Attachments (Terms of Use)
engine.log (30.70 KB, text/plain)
2014-07-14 14:13 UTC, Moti Asayag
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31191 master MERGED core: task monitoring for import glance image Never
oVirt gerrit 31276 ovirt-engine-3.5 MERGED core: task monitoring for import glance image Never

Description Moti Asayag 2014-07-14 14:13:28 UTC
Created attachment 917878 [details]
engine.log

Description of problem:
When an image is being imported into engine from glance repo, its tasks not being finalized and left running in the 'Tasks' view.

In addition, there is an event log stating the action has ended successfully:
2014-07-14 16:40:18,005 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-8-thread-38) [49e07a5b] Correlation ID: 2f7a21ab, Call Stack: null, Custom Event ID: -1, Message: User admin successfully imported image GlanceDisk-74cffa3 to domain ovirt-data2.


Version-Release number of selected component (if applicable):
commit

How reproducible:
always

Steps to Reproduce:
1. Import any image from glance.ovirt.org as a template into the dc.
2. Watch the task on 'Tasks' view is status 'Executing' forever.

Actual results:
The task is not ended.

Expected results:
The task should be ended

Additional info:

Comment 1 Allon Mureinik 2014-07-15 06:28:29 UTC
(In reply to Moti Asayag from comment #0)
> Version-Release number of selected component (if applicable):
> commit
> 
Moti, can you please add the commit hash you're building from?

Comment 2 Moti Asayag 2014-07-15 06:46:11 UTC
(In reply to Allon Mureinik from comment #1)
> (In reply to Moti Asayag from comment #0)
> > Version-Release number of selected component (if applicable):
> > commit
> > 
> Moti, can you please add the commit hash you're building from?

commit a95e8809ceab8af89044714d73f69d5cf7e25c0e

Comment 3 Elad 2014-08-25 09:43:20 UTC
The task of importing an image as a template from a glance repository is reported as ended successfully in the tasks view 


Verified using ovirt-3.5 RC1.1

Comment 4 Sandro Bonazzola 2014-10-17 12:21:00 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.